#
# spec file for package ghc-blaze-markup
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name blaze-markup
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.8.2.5
Release:        lp152.1.3
Summary:        A blazingly fast markup combinator library for Haskell
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif

%description
Core modules of a blazingly fast markup combinator library for the Haskell
programming language. The Text.Blaze module is a good starting point, as well
as this tutorial: <http://jaspervdj.be/blaze/tutorial.html>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG

%changelog
* Wed May  6 2020 psimons@suse.com
- Update blaze-markup to version 0.8.2.5.
  - 0.8.2.5 (2020-04-20)
  * Bump `base` upper bound to 4.15
  - 0.8.2.4 (2020-03-29)
  * Bump `QuickCheck` upper bound to 2.15
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Thu Oct  3 2019 psimons@suse.com
- Update blaze-markup to version 0.8.2.3.
  - 0.8.2.3 (2019-10-02)
  * Bump `base` to 4.13
  * Bump `tasty` to 1.2
  * Bump `QuickCheck` to 2.13
* Sat Jan 19 2019 Peter Simons <psimons@suse.com>
- Update Cabal build instructions for more accurate dependencies.
* Thu Oct  4 2018 psimons@suse.com
- Update blaze-markup to version 0.8.2.2.
  - 0.8.2.2 (2018-09-25)
  * Bump `base` to 4.12
  * Bump `containers` to 0.6
  * Bump `tasty` to 1.1
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update blaze-markup to version 0.8.2.1.
  * Define `ToMarkup` instance for `Natural`.
  * Compatibility with Semigroup/Monoid proposal
  * Switch to `tasty` for running tests
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.8.0.0.
* Sun Dec  4 2016 psimons@suse.com
- Update to version 0.7.1.1 with cabal2obs.
* Mon Aug  1 2016 psimons@suse.com
- Update to version 0.7.1.0 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.7.0.3 revision 0 with cabal2obs.
* Sun Oct  4 2015 mimi.vx@gmail.com
- update to 0.7.0.3
  * Relax `HUnit` dependency to allow 1.3
* Mon Apr 20 2015 mimi.vx@gmail.com
- update to 0.7.0.2
  * Add combinators to insert HTML comments
  * Add `Applicative` instance for `MarkupM`
* Sun Nov  9 2014 peter.trommler@ohm-hochschule.de
- update to 0.6.1.1
  * Bump `text` dependency to allow 1.2 (Haskell Platform 2014.2.0.0)
  * Add the `null` query to Text.Blaze.Internal.
  * Add the operator (!?) for nicely setting conditional attributes
* Mon Oct 21 2013 sbahling@suse.com
- add %%defattr(-,root,root,-) to devel section
* Tue May 14 2013 peter.trommler@ohm-hochschule.de
- update to 0.5.1.5 from upstream (no changelog)
* Sun Nov 18 2012 peter.trommler@ohm-hochschule.de
- update to 0.5.1.1 from upstream
  * relax version dependencies
* Mon May  7 2012 peter.trommler@ohm-hochschule.de
- Initial packaging: spec file template generated by cabal2spec-0.25.5
